﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace sl_Chart_ticket_499795
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DateTime now = new DateTime(2012, 1, 12);

            var info = new List<PaymentInfo>() 
            {
                new PaymentInfo{ HandledOn=now.AddDays(0), PaymentAmount=1000, DepositAmount=90},
                new PaymentInfo{ HandledOn=now.AddDays(1), PaymentAmount=1500, DepositAmount=140},
                new PaymentInfo{ HandledOn=now.AddDays(2), PaymentAmount=1300, DepositAmount=100},
                new PaymentInfo{ HandledOn=now.AddDays(3), PaymentAmount=1000, DepositAmount=70},
                new PaymentInfo{ HandledOn=now.AddDays(4), PaymentAmount=900, DepositAmount=60}, 
            };

            this.ReportChart.ItemsSource = info;
        }
    }

    public class PaymentInfo
    {
        public DateTime HandledOn { get; set; }
        public double PaymentAmount { get; set; }
        public double DepositAmount { get; set; }

        
    }
}
